# ServicesC.cpp File Reference

`#include "ServicesC.h"`
`#include "tao/CDR.h"`
`#include "tao/ORB_Core.h"`

Include dependency graph for ServicesC.cpp:

## Namespaces

namespace | TAO

## Defines

#define | _CORBA_SERVICEOPTIONSEQ_CS_
#define | _CORBA_SERVICEDETAILSEQ_CS_

## Functions

CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const CORBA::ServiceOptionSeq &_tao_sequence)
CORBA::Boolean | operator>> (TAO_InputCDR &strm, CORBA::ServiceOptionSeq &_tao_sequence)
CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const CORBA::ServiceDetail &_tao_aggregate)
CORBA::Boolean | operator>> (TAO_InputCDR &strm, CORBA::ServiceDetail &_tao_aggregate)
CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const CORBA::ServiceDetailSeq &_tao_sequence)
CORBA::Boolean | operator>> (TAO_InputCDR &strm, CORBA::ServiceDetailSeq &_tao_sequence)
CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const CORBA::ServiceInformation &_tao_aggregate)
CORBA::Boolean | operator>> (TAO_InputCDR &strm, CORBA::ServiceInformation &_tao_aggregate)

## Define Documentation

#define _CORBA_SERVICEDETAILSEQ_CS_

#define _CORBA_SERVICEOPTIONSEQ_CS_

## Function Documentation

CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const CORBA::ServiceInformation & | _tao_aggregate
| ) |

CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const CORBA::ServiceDetailSeq & | _tao_sequence
| ) |

CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const CORBA::ServiceDetail & | _tao_aggregate
| ) |

CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const CORBA::ServiceOptionSeq & | _tao_sequence
| ) |

CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | CORBA::ServiceInformation & | _tao_aggregate
| ) |

CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | CORBA::ServiceDetailSeq & | _tao_sequence
| ) |

CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | CORBA::ServiceDetail & | _tao_aggregate
| ) |

CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | CORBA::ServiceOptionSeq & | _tao_sequence
| ) |